# Notes on using Debian GNU/Linux on a Dell Venue 8 Pro 5855

The following notes assume GNOME or Phosh are used.

GNOME basically works, but the on screen keyboard has issues with some non-GNOME apps.
Opening the keyboard puts the program you want to use in the background and you cannot enter text.
Phosh works a bit better for now, but I will keep checking out GNOME every now and then, as that is my only issue.

This is known to work with Debian Testing at the time of writing, other versions are unknown.

## What Works

- Display
- Touch
- USB
- Battery
- Audio*
- Bluetooth
- LTE

Untested: NFC

Unsolved: Camera (maybe this needs a firmware, have not yet looked at that)

\*requires installing the firmware

## Fixes

### LUKS with Touch Screen

Install `unl0kr`.

Make sure to append `keyscript=/usr/share/initramfs-tools/scripts/unl0kr-keyscript` after `luks` in `/etc/crypttab`

The line should look similar to this:

```
root UUID=<UUID> none luks,keyscript=/usr/share/initramfs-tools/scripts/unl0kr-keyscript
```

Then create a new initramfs: `update-initramfs -c -k all`

Reboot. An on-screen keyboard should now appear for unlocking the disk.

### GNOME

To get a button to close windows in GNOME:

```
gsettings set org.gnome.desktop.wm.preferences button-layout 'minimize,maximize,close,appmenu'
```

Without this, one might get stuck because windows cannot be closed. (Why is there no button for closing windows by default?)

## Required Packages

To get sound working, install the required firmware: `firmware-intel-sound`

Don't forget to reboot after installing it.

## Other things that might be useful

### Touch support in Firefox

Create `.config/environment.d/envvars.conf` and as content use `MOZ_ENABLE_WAYLAND=1`

Regular Firefox works better on this device than firefox-esr-mobile-config.

### BIOS Update

https://www.dell.com/support/home/de-de/drivers/driversdetails?driverid=3xx41&oscode=wt64a&productcode=dell-venue-8-pro-5855-tablet

To update to the latest BIOS:

- Copy file onto USB drive
- Select the BIOS update option in the boot menu
- Open the .exe file from the USB drive
- Start the update
